package com.mogo.cloud.location.third.core;

public interface ILocation {

    public float getBearing();

    public void setBearing(float bearing);

    public float getAccuracy();

    public void setAccuracy(float accuracy);

    public String getProvider();

    public void setProvider(String provider);

    public float getSpeed();

    public void setSpeed(float speed);

    public double getAltitude();

    public void setAltitude(double altitude);

    public void setAdCode(String adcode);

    public String getAdCode();

    public int getLocType();

    public void setLocType(int locType);

    public double getLatitude();

    public void setLatitude(double latitude);

    public double getLongitude();

    public void setLongitude(double longitude);

    public long getTime();

    public void setTime(long time);

    public String getCityCode();

    public void setCityCode(String cityCode);

    public String getCityName();

    public void setCityName(String cityName);

    public int getGpsAccuracyStatus();

    public void setGpsAccuracyStatus(int gpsAccuracyStatus);

    public int getSatellites();

    public void setSatellites(int satellites);

    public int getCarStatus();

    public void setCarStatus(int carStatus);

}

